#
# spec file for package xvi (Version 3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  termcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit termcap texinfo textutils timezone unzip util-linux vim

Name:         xvi
Copyright:    distributable
Group:        Applications/Editors 
Provides:     xvi 
Autoreqprov:  on
Version:      3.1
Release:      375
Summary:      Multi-window vi
Source:       xvi-%{version}.tar.bz2
Patch:        xvi-%{version}.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Xvi is a portable multi-window version of vi. Different files can be
displayed in separate windows (instead of displaying them in one
window, separated by horizontal status lines).  It is also possible to
display different parts of one file in different windows.

Authors:
--------
    Chris Downey
    John Downey

SuSE series: xap

%prep
%setup
%patch

%build
make -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -s src/xvi $RPM_BUILD_ROOT/usr/bin
install doc/xvi.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc doc/{COPYING,README,help,source.*,summary.*,xvi.lst,xvi.ps}
/usr/bin/xvi
%doc %{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n xvi
* Thu May 31 2001 - pmladek@suse.cz
- enabled 8-bit character support:
  * compiled with -DDEF_CCHARS -DDEF_MCHARS
* Tue Feb 20 2001 - mmj@suse.de
- Included alpha and ia64 fix on the S/390
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed file list
* Wed Nov 22 2000 - cihlar@suse.cz
- fixed copyright
- clean up spec file
- bzipped sources
* Mon May 22 2000 - schwab@suse.de
- Don't redeclare getcwd on ia64.
- Fix missing declaration.
* Fri May 19 2000 - cihlar@suse.cz
- Group sorted
* Thu Apr 13 2000 - cihlar@suse.cz
- added BuildRoot
* Wed Jan 26 2000 - ro@suse.de
- man to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 20 1999 - ro@suse.de
- don't redeclare getcwd on alpha
* Tue Oct 21 1997 - ro@suse.de
- ready for autobuild
